Package com.independentsoft.graph.calendars

# Class LocationConstraintItem

java.lang.Object
com.independentsoft.graph.calendars.LocationConstraintItem

public class LocationConstraintItem extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocationConstraintItem()`
  `LocationConstraintItem​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PhysicalAddress`
  `getAddress()`
  `OutlookGeoCoordinates`
  `getCoordinates()`
  `String`
  `getDisplayName()`
  `String`
  `getEmailAddress()`
  `boolean`
  `getResolveAvailability()`
  `LocationType`
  `getType()`
  `String`
  `getUniqueId()`
  `String`
  `getUniqueIdType()`
  `String`
  `getUri()`
  `void`
  `setAddress​(PhysicalAddress address)`
  `void`
  `setCoordinates​(OutlookGeoCoordinates coordinates)`
  `void`
  `setDisplayNamed​(String displayName)`
  `void`
  `setEmailAddress​(String emailAddress)`
  `void`
  `setResolveAvailability​(boolean resolveAvailability)`
  `void`
  `setType​(LocationType type)`
  `void`
  `setUniqueId​(String uniqueId)`
  `void`
  `setUniqueIdType​(String uniqueIdType)`
  `void`
  `setUri​(String uri)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LocationConstraintItem

    public LocationConstraintItem()

  - ### LocationConstraintItem

    public LocationConstraintItem​(JsonObject jsonObject)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAddress

    public PhysicalAddress getAddress()

  - ### setAddress

    public void setAddress​(PhysicalAddress address)

  - ### getCoordinates

    public OutlookGeoCoordinates getCoordinates()

  - ### setCoordinates

    public void setCoordinates​(OutlookGeoCoordinates coordinates)

  - ### getDisplayName

    public String getDisplayName()

  - ### setDisplayNamed

    public void setDisplayNamed​(String displayName)

  - ### getEmailAddress

    public String getEmailAddress()

  - ### setEmailAddress

    public void setEmailAddress​(String emailAddress)

  - ### getUri

    public String getUri()

  - ### setUri

    public void setUri​(String uri)

  - ### getType

    public LocationType getType()

  - ### setType

    public void setType​(LocationType type)

  - ### getUniqueId

    public String getUniqueId()

  - ### setUniqueId

    public void setUniqueId​(String uniqueId)

  - ### getUniqueIdType

    public String getUniqueIdType()

  - ### setUniqueIdType

    public void setUniqueIdType​(String uniqueIdType)

  - ### getResolveAvailability

    public boolean getResolveAvailability()

  - ### setResolveAvailability

    public void setResolveAvailability​(boolean resolveAvailability)